% August 2011
% author: iuliana pascu
% type = cara or crra
% run discrete 401k only on the main sample

clear all;

% sample used to construct cutoffs
risk_type = 'base';
% sample used as baseline
sample = 'base';
typevec{1} = 'crra';
typevec{2} = 'cara';



for i = 2:2
	type = typevec{i}
	overlap = [1,1,0,0,1,0];  % in order fgrid, all, insurance, cara, crra, pairwise
	iter = 'd401k_3';
	% run all the codes through this grid;
	
    l.hi = 		.02:.15:2;
    l.rx = 		.02:.15:2;
    l.dental = 	.02:.15:2;
    l.std = 	.02:.15:2;
    l.ltd = 	.02:.25:2;
    l.fin = logspace(-2, 6, 5);
 	master_d401k(l, risk_type, sample, type, overlap, iter);
end


