%% Create grids
% July 2011
% calls functions: compute_cutoffs_cara and compute_cutoffs_crra
% author: iuliana pascu

function f = fgrid(type, iter, l, risk_type, income)
[type, iter, risk_type]

% read in data
rect = csvread(['../csv/' risk_type '.csv']);
% rect = rect(1:20, :)
data = loadData(rect);

%% CRRA grid 
grid.l_hi = l.hi; 
grid.l_rx = l.rx; 
grid.l_dental = l.dental;
grid.l_std = l.std;
grid.l_ltd = l.ltd;
grid.l_fin = l.fin;

grid.name = ['../grids/',type, '_', risk_type, '_', iter,'.mat']

comanda = ['construct_grid_',type,'(grid, data,' income, ');']
eval(comanda);

end
