% July 2011
% author: iuliana pascu
% using CARA for health, drug, dental
% CRRA for stdi, ltdi, and 401k

clear all;

samplevec{1,1} = 'base'
samplevec{1,2} = 'base'

samplevec{2,1} = 'base'
samplevec{2,2} = 'housing'

samplevec{3,1} = 'base'
samplevec{3,2} = 'eq50'

samplevec{4,1} = 'base'
samplevec{4,2} = 'eq50_150'

samplevec{5,1} = 'base'
samplevec{5,2} = 'eq150'

samplevec{6,1} = 'base'
samplevec{6,2} = 'max_401k_1'

samplevec{7,1} = 'base'
samplevec{7,2} = 'max_401k_0'

samplevec{8,1} = 'female_1'
samplevec{8,2} = 'female_1'

samplevec{9,1} = 'female_0'
samplevec{9,2} = 'female_0'

samplevec{10,1} = 'young_1'
samplevec{10,2} = 'young_1'

samplevec{11,1} = 'young_0'
samplevec{11,2} = 'young_0'

samplevec{12,1} = 'high_wage_1'
samplevec{12,2} = 'high_wage_1'

samplevec{13,1} = 'high_wage_0'
samplevec{13,2} = 'high_wage_0'


for j = 1:13	% different samples
	income = 'data.wage_avg'
	% sample used to construct cutoffs
	risk_type = samplevec{j,1};
	% sample used as baseline
	sample = samplevec{j,2};
	overlap = [1,1,1,1,1];  % in order fgrid, all, insurance, cara, crra
	iter = '1';
	l.hi = 		[.1:.2:2];
	l.rx = 		[.1:.2:2];
	l.dental = 	[.1:.2:2];
	l.std = 	[.1:.2:2];
	l.ltd = 	[.1:.2:2];
	l.gamma =  [logspace(-4, 7, 5)];
	l.fin = [logspace(-4, 7, 5)];
	master(l, risk_type, sample, overlap, iter, income);
end


